<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>org.ow2.weblab.services</groupId>
		<artifactId>parent</artifactId>
		<version>1.2.8</version>
		<relativePath />
	</parent>

	<groupId>org.ow2.weblab.tools</groupId>
	<artifactId>service-client-cli</artifactId>
	<version>1.2.0-SNAPSHOT</version>

	<description>This class contains various command line utilities for the WebLab Platform.</description>
	<name>Service Client CLI</name>
	
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
	</properties>

	<dependencies>
		<dependency>
			<groupId>org.ow2.weblab.core</groupId>
			<artifactId>extended</artifactId>
		</dependency>
		<dependency>
			<groupId>org.ow2.weblab.core.helpers</groupId>
			<artifactId>resource-validator</artifactId>
		</dependency>
		<dependency>
			<groupId>org.ow2.weblab.engines</groupId>
			<artifactId>chain-interfaces</artifactId>
		</dependency>
		<dependency>
			<groupId>commons-cli</groupId>
			<artifactId>commons-cli</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-lang3</artifactId>
		</dependency>
		<dependency>
			<groupId>com.beust</groupId>
			<artifactId>jcommander</artifactId>
		</dependency>

		<!-- Test dependency -->
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>com.github.stefanbirkner</groupId>
			<artifactId>system-rules</artifactId>
			<scope>test</scope>
		</dependency>
	</dependencies>


	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>org.ow2.weblab.engines</groupId>
				<artifactId>chain-interfaces</artifactId>
				<version>1.1.0</version>
			</dependency>
			<dependency>
				<groupId>commons-cli</groupId>
				<artifactId>commons-cli</artifactId>
				<version>1.2</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-lang3</artifactId>
				<version>3.2.1</version>
			</dependency>
			<dependency>
				<groupId>com.beust</groupId>
				<artifactId>jcommander</artifactId>
				<version>1.32</version>
			</dependency>
			<dependency>
				<groupId>com.github.stefanbirkner</groupId>
				<artifactId>system-rules</artifactId>
				<version>1.4.0</version>
			</dependency>
		</dependencies>
	</dependencyManagement>


	<build>
		<plugins>
			<plugin>
				<artifactId>maven-jar-plugin</artifactId>
				<configuration>
					<archive>
						<manifest>
							<addClasspath>true</addClasspath>
							<mainClass>org.ow2.weblab.tools.main.WebLabBatchClient</mainClass>
						</manifest>
					</archive>
					<excludes>
						<exclude>log4j.properties</exclude>
						<exclude>weblab-batch-client.bat</exclude>
						<exclude>weblab-batch-client.sh</exclude>
						<exclude>weblab-manager-client.bat</exclude>
						<exclude>weblab-manager-client.sh</exclude>
					</excludes>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-assembly-plugin</artifactId>
				<configuration>
					<descriptors>
						<descriptor>assembly.xml</descriptor>
					</descriptors>
				</configuration>
				<executions>
					<execution>
						<id>make-assembly</id>
						<phase>package</phase>
						<goals>
							<goal>single</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>


	<repositories>
		<repository>
			<id>ow2.release</id>
			<name>OW2 repository</name>
			<url>http://maven.ow2.org/maven2</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>ow2.snapshot</id>
			<name>OW2 snapshot repository</name>
			<url>http://maven.ow2.org/maven2-snapshot</url>
			<releases>
				<enabled>false</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>weblab.release</id>
			<name>WebLab Repository</name>
			<url>http://maven.weblab-project.org</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>weblab.snapshot</id>
			<name>WebLab Snapshot Repository</name>
			<url>http://maven-snapshot.weblab-project.org</url>
			<releases>
				<enabled>false</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>weblab.archive</id>
			<name>WebLab Archive repository</name>
			<url>http://weblab.ow2.org/archive-repository</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
	</repositories>

</project>
